Skip to content
FeedbackDashboard

Creates two comparable builds

POST/v0/builds/compare

Create two builds whose outputs can be directly compared with each other.

Created builds modify their project branches so that their latest sets of config files point to the ones specified by the input revision.

This endpoint is useful because a build has more inputs than the set of config files it uses, so comparing two builds directly may return spurious differences. Builds made via this endpoint are guaranteed to have differences arising from the set of config files, and any custom code.

Body ParametersJSONExpand Collapse
base: object { branch, revision, commit_message }

Parameters for the base build

branch: string

Branch to use. When using a branch name as revision, this must match or be omitted.

revision: string or map[FileInput]

Specifies what to build: a branch name, a commit SHA, or file contents.

One of the following:
string

A branch name, commit SHA, or merge command in the format "base..head"

File contents to commit directly

One of the following:
Content = object { content }
content: string

File content

URL = object { url }
url: string

URL to fetch file content from

commit_message: optional string

Optional commit message to use when creating a new commit.

head: object { branch, revision, commit_message }

Parameters for the head build

branch: string

Branch to use. When using a branch name as revision, this must match or be omitted.

revision: string or map[FileInput]

Specifies what to build: a branch name, a commit SHA, or file contents.

One of the following:
string

A branch name, commit SHA, or merge command in the format "base..head"

File contents to commit directly

One of the following:
Content = object { content }
content: string

File content

URL = object { url }
url: string

URL to fetch file content from

commit_message: optional string

Optional commit message to use when creating a new commit.

project: optional string

Project name

targets: optional array of Target

Optional list of SDK targets to build. If not specified, all configured targets will be built.

One of the following:
"node"
"typescript"
"python"
"go"
"java"
"kotlin"
"ruby"
"terraform"
"cli"
"php"
"csharp"
"sql"
"openapi"
ReturnsExpand Collapse
base: Build { id, config_commit, created_at, 6 more }
id: string

Build ID

config_commit: string
created_at: string
documented_spec: object { content, type } or object { expires, type, url }
One of the following:
object { content, type }
content: string
type: "content"
object { expires, type, url }
expires: string
type: "url"
url: string
object: "build"
org: string
project: string
targets: object { cli, csharp, go, 10 more }
cli: optional BuildTarget { commit, install_url, object, 4 more }
commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status }
status: "queued"
InProgress = object { status }
status: "in_progress"
Completed = object { commit, completed, completed_at, 3 more }
commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed: object { commit, completed_at, conclusion, merge_conflict_pr }

deprecated

commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
status: "completed"
install_url: string
object: "build_target"
status: "not_started" or "codegen" or "postgen" or "completed"
One of the following:
"not_started"
"codegen"
"postgen"
"completed"
build: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
lint: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
test: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
csharp: optional BuildTarget { commit, install_url, object, 4 more }
commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status }
status: "queued"
InProgress = object { status }
status: "in_progress"
Completed = object { commit, completed, completed_at, 3 more }
commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed: object { commit, completed_at, conclusion, merge_conflict_pr }

deprecated

commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
status: "completed"
install_url: string
object: "build_target"
status: "not_started" or "codegen" or "postgen" or "completed"
One of the following:
"not_started"
"codegen"
"postgen"
"completed"
build: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
lint: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
test: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
go: optional BuildTarget { commit, install_url, object, 4 more }
commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status }
status: "queued"
InProgress = object { status }
status: "in_progress"
Completed = object { commit, completed, completed_at, 3 more }
commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed: object { commit, completed_at, conclusion, merge_conflict_pr }

deprecated

commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
status: "completed"
install_url: string
object: "build_target"
status: "not_started" or "codegen" or "postgen" or "completed"
One of the following:
"not_started"
"codegen"
"postgen"
"completed"
build: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
lint: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
test: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
java: optional BuildTarget { commit, install_url, object, 4 more }
commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status }
status: "queued"
InProgress = object { status }
status: "in_progress"
Completed = object { commit, completed, completed_at, 3 more }
commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed: object { commit, completed_at, conclusion, merge_conflict_pr }

deprecated

commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
status: "completed"
install_url: string
object: "build_target"
status: "not_started" or "codegen" or "postgen" or "completed"
One of the following:
"not_started"
"codegen"
"postgen"
"completed"
build: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
lint: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
test: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
kotlin: optional BuildTarget { commit, install_url, object, 4 more }
commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status }
status: "queued"
InProgress = object { status }
status: "in_progress"
Completed = object { commit, completed, completed_at, 3 more }
commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed: object { commit, completed_at, conclusion, merge_conflict_pr }

deprecated

commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
status: "completed"
install_url: string
object: "build_target"
status: "not_started" or "codegen" or "postgen" or "completed"
One of the following:
"not_started"
"codegen"
"postgen"
"completed"
build: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
lint: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
test: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
node: optional BuildTarget { commit, install_url, object, 4 more }
commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status }
status: "queued"
InProgress = object { status }
status: "in_progress"
Completed = object { commit, completed, completed_at, 3 more }
commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed: object { commit, completed_at, conclusion, merge_conflict_pr }

deprecated

commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
status: "completed"
install_url: string
object: "build_target"
status: "not_started" or "codegen" or "postgen" or "completed"
One of the following:
"not_started"
"codegen"
"postgen"
"completed"
build: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
lint: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
test: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
openapi: optional BuildTarget { commit, install_url, object, 4 more }
commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status }
status: "queued"
InProgress = object { status }
status: "in_progress"
Completed = object { commit, completed, completed_at, 3 more }
commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed: object { commit, completed_at, conclusion, merge_conflict_pr }

deprecated

commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
status: "completed"
install_url: string
object: "build_target"
status: "not_started" or "codegen" or "postgen" or "completed"
One of the following:
"not_started"
"codegen"
"postgen"
"completed"
build: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
lint: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
test: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
php: optional BuildTarget { commit, install_url, object, 4 more }
commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status }
status: "queued"
InProgress = object { status }
status: "in_progress"
Completed = object { commit, completed, completed_at, 3 more }
commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed: object { commit, completed_at, conclusion, merge_conflict_pr }

deprecated

commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
status: "completed"
install_url: string
object: "build_target"
status: "not_started" or "codegen" or "postgen" or "completed"
One of the following:
"not_started"
"codegen"
"postgen"
"completed"
build: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
lint: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
test: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
python: optional BuildTarget { commit, install_url, object, 4 more }
commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status }
status: "queued"
InProgress = object { status }
status: "in_progress"
Completed = object { commit, completed, completed_at, 3 more }
commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed: object { commit, completed_at, conclusion, merge_conflict_pr }

deprecated

commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
status: "completed"
install_url: string
object: "build_target"
status: "not_started" or "codegen" or "postgen" or "completed"
One of the following:
"not_started"
"codegen"
"postgen"
"completed"
build: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
lint: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
test: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
ruby: optional BuildTarget { commit, install_url, object, 4 more }
commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status }
status: "queued"
InProgress = object { status }
status: "in_progress"
Completed = object { commit, completed, completed_at, 3 more }
commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed: object { commit, completed_at, conclusion, merge_conflict_pr }

deprecated

commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
status: "completed"
install_url: string
object: "build_target"
status: "not_started" or "codegen" or "postgen" or "completed"
One of the following:
"not_started"
"codegen"
"postgen"
"completed"
build: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
lint: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
test: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
sql: optional BuildTarget { commit, install_url, object, 4 more }
commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status }
status: "queued"
InProgress = object { status }
status: "in_progress"
Completed = object { commit, completed, completed_at, 3 more }
commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed: object { commit, completed_at, conclusion, merge_conflict_pr }

deprecated

commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
status: "completed"
install_url: string
object: "build_target"
status: "not_started" or "codegen" or "postgen" or "completed"
One of the following:
"not_started"
"codegen"
"postgen"
"completed"
build: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
lint: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
test: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
terraform: optional BuildTarget { commit, install_url, object, 4 more }
commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status }
status: "queued"
InProgress = object { status }
status: "in_progress"
Completed = object { commit, completed, completed_at, 3 more }
commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed: object { commit, completed_at, conclusion, merge_conflict_pr }

deprecated

commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
status: "completed"
install_url: string
object: "build_target"
status: "not_started" or "codegen" or "postgen" or "completed"
One of the following:
"not_started"
"codegen"
"postgen"
"completed"
build: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
lint: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
test: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
typescript: optional BuildTarget { commit, install_url, object, 4 more }
commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status }
status: "queued"
InProgress = object { status }
status: "in_progress"
Completed = object { commit, completed, completed_at, 3 more }
commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed: object { commit, completed_at, conclusion, merge_conflict_pr }

deprecated

commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
status: "completed"
install_url: string
object: "build_target"
status: "not_started" or "codegen" or "postgen" or "completed"
One of the following:
"not_started"
"codegen"
"postgen"
"completed"
build: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
lint: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
test: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
updated_at: string
head: Build { id, config_commit, created_at, 6 more }
id: string

Build ID

config_commit: string
created_at: string
documented_spec: object { content, type } or object { expires, type, url }
One of the following:
object { content, type }
content: string
type: "content"
object { expires, type, url }
expires: string
type: "url"
url: string
object: "build"
org: string
project: string
targets: object { cli, csharp, go, 10 more }
cli: optional BuildTarget { commit, install_url, object, 4 more }
commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status }
status: "queued"
InProgress = object { status }
status: "in_progress"
Completed = object { commit, completed, completed_at, 3 more }
commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed: object { commit, completed_at, conclusion, merge_conflict_pr }

deprecated

commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
status: "completed"
install_url: string
object: "build_target"
status: "not_started" or "codegen" or "postgen" or "completed"
One of the following:
"not_started"
"codegen"
"postgen"
"completed"
build: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
lint: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
test: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
csharp: optional BuildTarget { commit, install_url, object, 4 more }
commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status }
status: "queued"
InProgress = object { status }
status: "in_progress"
Completed = object { commit, completed, completed_at, 3 more }
commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed: object { commit, completed_at, conclusion, merge_conflict_pr }

deprecated

commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
status: "completed"
install_url: string
object: "build_target"
status: "not_started" or "codegen" or "postgen" or "completed"
One of the following:
"not_started"
"codegen"
"postgen"
"completed"
build: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
lint: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
test: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
go: optional BuildTarget { commit, install_url, object, 4 more }
commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status }
status: "queued"
InProgress = object { status }
status: "in_progress"
Completed = object { commit, completed, completed_at, 3 more }
commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed: object { commit, completed_at, conclusion, merge_conflict_pr }

deprecated

commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
status: "completed"
install_url: string
object: "build_target"
status: "not_started" or "codegen" or "postgen" or "completed"
One of the following:
"not_started"
"codegen"
"postgen"
"completed"
build: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
lint: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
test: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
java: optional BuildTarget { commit, install_url, object, 4 more }
commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status }
status: "queued"
InProgress = object { status }
status: "in_progress"
Completed = object { commit, completed, completed_at, 3 more }
commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed: object { commit, completed_at, conclusion, merge_conflict_pr }

deprecated

commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
status: "completed"
install_url: string
object: "build_target"
status: "not_started" or "codegen" or "postgen" or "completed"
One of the following:
"not_started"
"codegen"
"postgen"
"completed"
build: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
lint: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
test: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
kotlin: optional BuildTarget { commit, install_url, object, 4 more }
commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status }
status: "queued"
InProgress = object { status }
status: "in_progress"
Completed = object { commit, completed, completed_at, 3 more }
commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed: object { commit, completed_at, conclusion, merge_conflict_pr }

deprecated

commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
status: "completed"
install_url: string
object: "build_target"
status: "not_started" or "codegen" or "postgen" or "completed"
One of the following:
"not_started"
"codegen"
"postgen"
"completed"
build: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
lint: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
test: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
node: optional BuildTarget { commit, install_url, object, 4 more }
commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status }
status: "queued"
InProgress = object { status }
status: "in_progress"
Completed = object { commit, completed, completed_at, 3 more }
commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed: object { commit, completed_at, conclusion, merge_conflict_pr }

deprecated

commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
status: "completed"
install_url: string
object: "build_target"
status: "not_started" or "codegen" or "postgen" or "completed"
One of the following:
"not_started"
"codegen"
"postgen"
"completed"
build: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
lint: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
test: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
openapi: optional BuildTarget { commit, install_url, object, 4 more }
commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status }
status: "queued"
InProgress = object { status }
status: "in_progress"
Completed = object { commit, completed, completed_at, 3 more }
commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed: object { commit, completed_at, conclusion, merge_conflict_pr }

deprecated

commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
status: "completed"
install_url: string
object: "build_target"
status: "not_started" or "codegen" or "postgen" or "completed"
One of the following:
"not_started"
"codegen"
"postgen"
"completed"
build: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
lint: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
test: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
php: optional BuildTarget { commit, install_url, object, 4 more }
commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status }
status: "queued"
InProgress = object { status }
status: "in_progress"
Completed = object { commit, completed, completed_at, 3 more }
commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed: object { commit, completed_at, conclusion, merge_conflict_pr }

deprecated

commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
status: "completed"
install_url: string
object: "build_target"
status: "not_started" or "codegen" or "postgen" or "completed"
One of the following:
"not_started"
"codegen"
"postgen"
"completed"
build: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
lint: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
test: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
python: optional BuildTarget { commit, install_url, object, 4 more }
commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status }
status: "queued"
InProgress = object { status }
status: "in_progress"
Completed = object { commit, completed, completed_at, 3 more }
commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed: object { commit, completed_at, conclusion, merge_conflict_pr }

deprecated

commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
status: "completed"
install_url: string
object: "build_target"
status: "not_started" or "codegen" or "postgen" or "completed"
One of the following:
"not_started"
"codegen"
"postgen"
"completed"
build: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
lint: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
test: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
ruby: optional BuildTarget { commit, install_url, object, 4 more }
commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status }
status: "queued"
InProgress = object { status }
status: "in_progress"
Completed = object { commit, completed, completed_at, 3 more }
commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed: object { commit, completed_at, conclusion, merge_conflict_pr }

deprecated

commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
status: "completed"
install_url: string
object: "build_target"
status: "not_started" or "codegen" or "postgen" or "completed"
One of the following:
"not_started"
"codegen"
"postgen"
"completed"
build: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
lint: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
test: optional CheckStep
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status, url }
status: "queued"
url: string
InProgress = object { status, url }
status: "in_progress"
url: string
Completed = object { completed, conclusion, status, url }
completed: object { conclusion, url }

deprecated

conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
url: string
conclusion: "success" or "failure" or "skipped" or 4 more
One of the following:
"success"
"failure"
"skipped"
"cancelled"
"action_required"
"neutral"
"timed_out"
status: "completed"
url: string
sql: optional BuildTarget { commit, install_url, object, 4 more }
commit: object { status } or object { status } or object { status } or object { commit, completed, completed_at, 3 more }
One of the following:
NotStarted = object { status }
status: "not_started"
Queued = object { status }
status: "queued"
InProgress = object { status }
status: "in_progress"
Completed = object { commit, completed, completed_at, 3 more }
commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed: object { commit, completed_at, conclusion, merge_conflict_pr }

deprecated

commit: Commit { repo, sha, stats, tree_oid }
repo: object { branch, host, name, owner }
branch: string
host: string
name: string
owner: string
sha: string
stats: object { additions, deletions, total }
additions: number
deletions: number
total: number
tree_oid: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
completed_at: string
conclusion: "error" or "warning" or "note" or 9 more
One of the following:
"error"
"warning"
"note"
"success"
"merge_conflict"
"upstream_merge_conflict"
"fatal"
"payment_required"
"cancelled"
"timed_out"
"noop"
"version_bump"
merge_conflict_pr: object { number, repo }
number: number
repo: object { host, name, owner }
host: string
name: string
owner: string
status: "completed"
install_url: string
object: "build_target"
[...]
